org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.FileLockHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.FileLockHolder

All Implemented Interfaces:
  AutoCloseable

Enclosing class:
  GridCacheDatabaseSharedManager

    public static class GridCacheDatabaseSharedManager.FileLockHolder
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
Constructor and Description
`FileLockHolder(String path, GridKernalContext ctx, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes file channel
`void` `release()` Releases file lock
`void` `tryLock(long lockWaitTimeMillis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileLockHolder

    public FileLockHolder(String path,
                          @NotNull
                          GridKernalContext ctx,
                          IgniteLogger log)

Parameters:
  `path` - Path.

### Method Detail

#### tryLock

    public void tryLock(long lockWaitTimeMillis)
                 throws IgniteCheckedException

Parameters:
  `lockWaitTimeMillis` - During which time thread will try capture file lock.
Throws:
  `IgniteCheckedException` - If failed to capture file lock.

#### release

    public void release()

Releases file lock

#### close

    public void close()

Closes file channel

Specified by:
  `close` in interface `AutoCloseable`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018